Set refund address
POST/shifts/:shiftId/set-refund-address
warning
x-sideshift-secret is your account's private key. Never share it with anyone as it grants full access to your account and should be kept confidential.
Request
Path Parameters
shiftId stringrequired
Header Parameters
x-sideshift-secret stringrequired
- application/json
Body
addressstringrequired
memostring
for address that requires memo
Responses
- 201
- 400
- 404
- 500
OK
- application/json
- Schema
- Example
Fixed Shift
idstringrequired
createdAtstringrequired
depositCoinstringrequired
settleCoinstringrequired
depositNetworkstringrequired
settleNetworkstringrequired
depositAddressstringrequired
depositMemostring
settleAddressstringrequired
settleMemostring
depositMinstringrequired
depositMaxstringrequired
refundAddressstringrequired
refundMemostring
typestringrequired
quoteIdstringrequired
depositAmountstringrequired
settleAmountstringrequired
expiresAtstringrequired
statusstringrequired
averageShiftSecondsstringrequired
ratestringrequired
Variable Shift
idstringrequired
createdAtstringrequired
depositCoinstringrequired
settleCoinstringrequired
depositNetworkstringrequired
settleNetworkstringrequired
depositAddressstringrequired
depositMemostring
settleAddressstringrequired
settleMemostring
depositMinstringrequired
depositMaxstringrequired
refundAddressstringrequired
refundMemostring
typestringrequired
expiresAtstringrequired
statusstringrequired
averageShiftSecondsstringrequired
Fixed Shift
{
"id": "f78df8663d4c4d5913b9",
"createdAt": "2023-10-17T05:52:43.947Z",
"depositCoin": "ETH",
"settleCoin": "ETH",
"depositNetwork": "arbitrum",
"settleNetwork": "ethereum",
"depositAddress": "0x5348DaBDBd6Ac9d2e0507447A0D2246Bb7febb0f",
"settleAddress": "0xde2642b2120fd3011fe9659688f76e9E4676F472",
"depositMin": "1",
"depositMax": "1",
"refundAddress": "0xde2642b2120fd3011fe9659688f76e9E4676F472",
"type": "fixed",
"quoteId": "a954ac89-d861-41f0-a082-751a80b54dff",
"depositAmount": "1",
"settleAmount": "0.98089288",
"expiresAt": "2023-10-17T06:07:33.915Z",
"status": "waiting",
"averageShiftSeconds": "44.526343",
"rate": "0.98089288"
}
Variable Shift
{
"id": "6f7d6442bbcea03b3fs6",
"createdAt": "2023-10-17T05:36:46.797Z",
"depositCoin": "BTC",
"settleCoin": "ETH",
"depositNetwork": "bitcoin",
"settleNetwork": "ethereum",
"depositAddress": "37SELkizWCbbRgpDe5ozZDP6TvvA91a6WB",
"settleAddress": "0xde2642b2120fd3011fe9659688f76e9E4676F472",
"depositMin": "0.00010655",
"depositMax": "1.42067752",
"refundAddress": "bc1qe6duc4mztzh9jvjnqcalf65hr9579vel8mv9ya",
"type": "variable",
"expiresAt": "2023-10-24T05:36:46.796Z",
"status": "waiting",
"averageShiftSeconds": "46.880018"
}
Bad Request
- application/json
- Schema
- Example
Schema
error object
messagestringrequired
codestringrequired
orderIdstring
depositRangeMinstring
depositRangeMaxstring
{
"error": {
"message": "Invalid refund address",
"code": "BAD_USER_INPUT"
}
}
{
"error": {
"message": "Bad request",
"code": "BAD_USER_INPUT"
}
}
Not Found
- application/json
- Schema
- Example
Schema
error object
messagestringrequired
codestringrequired
orderIdstring
depositRangeMinstring
depositRangeMaxstring
{
"error": {
"message": "Account not found",
"code": "NOT_FOUND"
}
}
Internal Server Error
- application/json
- Schema
- Example
Schema
error object
messagestringrequired
codestringrequired
orderIdstring
depositRangeMinstring
depositRangeMaxstring
{
"error": {
"message": "Internal Server Error",
"code": "UNKNOWN"
}
}